Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Class AliasContext

    java.lang.Object
      org.apache.openjpa.persistence.query.AliasContext

     class AliasContext

extends Object

Constructor Summary
`AliasContext(MetaDataRepository repos)`

Method Summary
`String` | `getAlias(ExpressionImpl path)` Sets alias for the given Expression or gets the alias if the given path has already been assigned an alias.
`String` | `getEntityName(Class cls)`
`boolean` | `hasAlias(Expression path)` Affirms if the given Expression has been assigned an alias by this context.
`AliasContext` | `push(Object e)`
`String` | `setAlias(ExpressionImpl path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasContext

    public AliasContext(MetaDataRepository repos)

Method Detail

### getAlias

    public String getAlias(ExpressionImpl path)

  Sets alias for the given Expression or gets the alias if the given path has already been assigned an alias. The given expression must provide a hint on what should be the alias name. If the alias name is assigned by this context, then a different alias is generated.

  Parameters:
    `path` -
  Returns:
    the alias name

### setAlias

    public String setAlias(ExpressionImpl path)

### hasAlias

    public boolean hasAlias(Expression path)

  Affirms if the given Expression has been assigned an alias by this context.

### push

    public AliasContext push(Object e)

### getEntityName

    public String getEntityName(Class cls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.